<?php


class Liste
{
	private int $id;
	private string $name;
    private bool $private;
    private ?User $creator;
    private array $taches;

	function __construct(int $id, string $name, bool $private, ?User $creator, array $taches)
	{
		$this->id=$id;
		$this->name=$name;
        $this->private=$private;
        $this->creator=$creator;
        $this->taches=$taches;
	}

	public function __toString()
    {
        return $this->id . " " . $this->name . " " .  $this->creator;
    }

    public function getId(){
        return $this->id;
    }

    public function getName(){
        return $this->name;
    }

    public function getCreator(){
        return $this->creator;
    }

    public function getPrivate(){
        return $this->private;
    }

    public function getTaches(){
        return $this->taches;
    }

    public function setId(int $id){
        $this->id=$id;
    }

    public function setName(string $name){
        $this->name=$name;
    }

    public function setPrivate(bool $private){
        $this->private=$private;
    }

    public function setCreator(?User $creator){
        $this->creator=$creator;
    }

    public function setTaches(array $taches){
        $this->taches=$taches;
    }

}

?>